Bug 902305 - iscsiadm does not load needed module
iscsiadm does not load needed module
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: iscsi-initiator-utils (Show other bugs)
7.0
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Chris Leech
Bruno Goncalves
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-21 05:56 EST by Bruno Goncalves
Modified: 2014-06-18 00:58 EDT (History)
4 users (show)

See Also:
Fixed In Version: iscsi-initiator-utils-6.2.0.873-11.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 06:17:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bruno Goncalves 2013-01-21 05:56:41 EST
Description of problem:
iscsiadm does not load iSCSI module if it needs it, on RHEL6 it does.

Version-Release number of selected component (if applicable):
rpm -q iscsi-initiator-utils
iscsi-initiator-utils-6.2.0.872-19.el7.x86_64

uname -r
3.7.0-0.32.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1.make sure iscsi_tcp module is not loaded
lsmod | grep iscsi_tcp
libiscsi_tcp           25147  3 cxgb3i,cxgb4i,libcxgbi
libiscsi               53014  7 libiscsi_tcp,bnx2i,cxgb3i,cxgb4i,be2iscsi,ib_iser,libcxgbi

2.Try to discovery target
iscsiadm -m discovery  -p <portal> -t st
iscsiadm: iSCSI driver tcp is not loaded. Load the module then retry the command.

  



Additional info:
On RHEL6 it does load the module during discovery.
Comment 3 Jeffrey C. Ollie 2013-06-16 16:00:37 EDT
This bug appears to be affecting Fedora 19 as well.
Comment 6 Chris Leech 2013-08-19 16:04:13 EDT
Along with the switch to system unit files, the service no longer loads kernel modules when it's started.  Instead, libkmod support has been enabled in iscsid which will load only the modules that are needed for the iSCSI transports in use.

When this change was first enabled, SELinux was blocking iscsid from loading the kernel modules.  That should be fixed now.  If iSCSI transport modules are not being loaded as needed for session to login to succeed, please check /var/log/audit/audit.log for SELinux denials to the iscsid process.
Comment 7 Bruno Goncalves 2013-08-20 09:09:45 EDT
Verified on:
rpm -q iscsi-initiator-utils
iscsi-initiator-utils-6.2.0.873-7.el7.x86_64

# lsmod | grep iscsi_tcp
libiscsi_tcp           25146  0 
libiscsi               49086  1 libiscsi_tcp

# iscsiadm -m discovery -p na3170b.lab.bos.redhat.com -t st
10.16.41.222:3260,1 iqn.1992-08.com.netapp:sn.151753773
10.16.43.127:3260,1 iqn.1992-08.com.netapp:sn.151753773

# lsmod | grep iscsi_tcp
iscsi_tcp              18333  0 
libiscsi_tcp           25146  1 iscsi_tcp
libiscsi               49086  2 libiscsi_tcp,iscsi_tcp
scsi_transport_iscsi    77055  3 iscsi_tcp,libiscsi
Comment 8 Ludek Smid 2014-06-13 06:17:11 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.